Bric::App::Event - Exports simple functions for managing events. $LastChangedRevision$ $LastChangedDate: 2006-03-17 16:26:34 -0800 (Fri, 17 Mar 2006) $ use Bric::App::Event qw(:all); log_event($name, $obj, $init); commit_events();

Constructors
NONE.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
NONE.

Public Functions
Queues an event for logging. Pass in the following arguments: The key name of the event to log. Required. The object for which the event is being logged. Required. The attribute values for this event. Required for those event types that require them. See Bric::Util::EventType and Bric::Util::Event for more information. Throws: NONE. Side Effects: NONE. Notes: NONE. Goes through the queue of events created by calls to log_event() and actually logs them to the database. Throws: See Bric::Util::Event::new(). Side Effects: NONE. Notes: NONE. Deletes queue of events so that they won't be logged. Used to prevent event logging when an error has occurred and all changes have been rolled back. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Util::Event